/* --- Style Here -----*/



.header {



    width: 100%;



    font-family: 'Ubuntu', sans-serif;



    font-weight: 300;
    z-index: 99;



}



.header__delivery{



    background-color: #FBE805;



    color: #1B156B;



}



.header__search--content-elements-search{

    position: relative;

    width: 100%;

    display: block;

}



.header__search--content-elements-search-block{

    border: solid #B1B0BB 1px;

    margin: auto;

    height: 48px;



    background-color: #FFFFFF;



    display: flex;



    justify-content: space-between;



    border-radius: 10px;



    padding: 0px 32px;

}





.header__delivery--content-faixa {



    display: flex;



    justify-content: center;



    padding: 14px 0px;



    width: 100%;



    text-align: center;



}



.header__delivery--content-faixa-mobile {



    display: none;



}



.header__delivery p {



    margin: 0px 0px;



}



.header__search {



    background-color: #1B156B;



}



.header__search--content-elements {



    display: flex;



    justify-content: space-between;



    padding: 20px 15px;



    align-items: center;



    gap: 35px;



}



.header__search--content-elements-block {



    display: flex;



    align-items: center;



    width: 30%;



    justify-content: space-between;



}



.header__search--content-elements-logo {



    width: 30%;



}



.header__search--content-elements-logo-mobile {



    display: none;



}



.header__search--content-elements-search input {



    border: 0px;



    margin: 0px;



    width: 100%;



    outline: 0;



    font-family: 'Ubuntu', sans-serif;



    font-weight: 300;



}



.header__search--content-elements-search input::placeholder {



    color: #000000;



}



.header__search--content-elements-search img {



    width: 24px;



}





.header__search--content-elements-cart-mobile {



    display: none;



}



.header__search--content-elements-menu-mobile {



    display: none;



}



.header__search--content-elements-block-tel {



    display: flex;



    margin: 0px;



}



.header__search--content-elements-block-tel img {



    width: 45px;



}



.header__search--content-elements-block-tel-number {



    display: flex;



    flex-direction: column;



    color: #D4C011;



    font-weight: 700;



    font-size: 24px;



    padding: 0px 19px 0px 7px;



}



.header__search--content-elements-block-tel-number a {



    text-decoration: none;



    color:#D4C011;



    font-size: 22px;



}



.header__search--content-elements-block-tel-number p {



    color: #009FE3;



    line-height: 28px;



    font-size: 18px;



    font-weight: 400;



    margin: 0px;



    height: 20px;



}



.menu__sticky {



    background-color: #FFFFFF;



    border-bottom: 1px solid #e9edef;



}



.menu__sticky-menu--content {



    display: flex;



    text-align: center;



    margin: 0px auto;



    padding: 0px;



    align-items: baseline;



}



.menu__sticky-menu--content-item {



    margin: 0px;



    display: flex;



    flex-direction: column;



    flex-wrap: wrap;



    padding: 15px 10px 0px;



    width: 13%;



    position: relative;



    min-height: 96px;



}



.menu__sticky-menu--content-item a {



    text-decoration: none;



    color:#000000;



    /* display: flex;



    flex-direction: column;



    align-items: baseline; */



    display: block;



    margin: 0px;



    padding: 0px 120px 0px 32px;



}



.menu__sticky-menu--content-item a:hover {



    background-color: #0079B8;



}



.menu__sticky-menu--content-item-disable-hover,



.menu__sticky-menu--content-item-text {



    margin: 0px auto;



}



.menu__sticky-menu--content-item-submenu {



    list-style: none;



    text-decoration: none;



    color: #000000;



    text-align: left;



    background-color: #FFFFFF;



    overflow: auto;



    height: 0px;



    position:absolute;



    left: 0;



    padding: 0px;



    transition: .3s;



}



.menu__sticky-menu--content-item-submenu-colunas {



    padding: 16px 0px;



}



.menu__sticky-menu--content-item:nth-child(n + 5) .menu__sticky-menu--content-item-submenu {



    left: inherit;



    right: 0;



}



.menu__sticky {



    z-index: 999999999;



    position: relative;



}



.menu__sticky-map-mobile,



.menu__sticky-title-mobile,



.menu__sticky-menu--content-item-text.display-none::before,



.menu__sticky-img_menu-close {



    display: none;



}



#search-results.show{



    position: absolute;



    background: #fff;



    top: 40px;



    width: calc(100% - 2px);



    left: 0;



    z-index: 9999999999;



    padding: 20px 0;



    border-bottom: 1px solid #B1B0BB;



    border-left: 1px solid #B1B0BB;



    border-right: 1px solid #B1B0BB;



    border-bottom-left-radius: 20px;



    border-bottom-right-radius: 20px;



}



#search-results li{



    list-style: none;



    padding: 10px 30px;



    display: flex;



    align-items: center;



    gap: 10px;



    transition: ease all .2s;



}



#search-results li:hover{



    background: #E3F1F6;



}



#search-results li img{



    width: 50px;



}



#search-results li a{



    color: #000000;



    font-size: 15px;



    line-height: 20px;



    text-decoration: none;



}



.header__search--content-elements-block-cart{

    position: relative;

}



@media (min-width: 1201px) {



    .header__search--content-elements-search-block{

        width: calc(100% - 65px);

    }



    .header__search--content-elements-search{

        max-width: 600px;

    }



    #search-results.show{

        width: calc(100% - 1px);

    }



    .menu__sticky-menu--content-item:hover {



        background-color: #00CAFF;



        transition: all .3s ease;



    }



    .menu__sticky-menu--content-item:hover .menu__sticky-menu--content-item-submenu {



        transition: all .3s ease;



        background-color: #00CAFF;



        /* padding: 0px 120px 0px 32px; */



        padding: 0px;



    }



    .menu__sticky-menu--content-item-active-hover { display: none; width: 100%;}



    .menu__sticky-menu--content-item:hover .menu__sticky-menu--content-item-disable-hover { display: none;}



    .menu__sticky-menu--content-item:hover .menu__sticky-menu--content-item-active-hover { display: block;}



    .menu__sticky-menu--content .menu__sticky-menu--content-item:hover ul {



        height: min-content;



        display: flex;



        /* gap: 120px; */



        line-height: 32px;



        width: max-content;



        top: 111px;



    }



}



/* Estou fazendo o mobile aqui e depois vou trocar */



@media (max-width: 1200px) {



    .menu__sticky-menu--content-item-text.display-none::before {



       display: none;



       text-align: left;



    }



    .menu__sticky-menu--content-item-text.display-before::before {



        height: 0px;



        overflow: hidden;



    }



    .menu__sticky-menu--content-item-disable-hover,



    .menu__sticky-menu--content-item-active-hover {



       height: 0px;



       overflow: hidden;



    }



    .menu__sticky-menu--content {



        flex-direction: column;



        gap: 15px;



        text-align: left;



        width: 100%;



        padding: 15px 0px 24px;



    }



    .menu__sticky {



        height: 500px;



        background-color: #1B156B;



        max-width: 258px;



        width: 80%;



        min-height: 100vh;



        height: 100%;



        color: #FFFFFF;



        position: fixed;



        top: 0;



        padding: 24px 16px;



        margin-left: calc(-80% - 48px);



        overflow: auto;



        z-index: 999;



    }



    .menu__sticky.open-menu {



        margin-left: 0;



    }



    .transition {



        transition: .4s ease all;



    }



    .menu__sticky-menu--content-item {



        width: 100%;



        display: block;



        min-height: auto;



        padding: 0px;



        flex-direction: row-reverse;



        justify-content: left;



    }



    .menu__sticky-menu--content-item a {



        color: #FFFFFF;



        padding: 0px;



    }



    .menu__sticky-menu--content-item a:hover {



        text-decoration: underline;



        background-color: transparent;



    }



    .menu__sticky-title-mobile {



        display: block;



        color: #00CAFF;



        font-size: 20px;



        font-weight: 700;



        text-align: left;



        width: 100%;



        height: 27px;



    }



    .menu__sticky-map-mobile a:nth-child(-n+2) {



        display: none;



    }



    .menu__sticky-map-mobile {



        display: flex;



        flex-direction: column;



        height: 100%;



        max-height: 180px;



        width: 100%;



        border-top: 1px solid #D5E2E8;



        padding-top: 24px;



        gap: 15px;



    }



    .menu__sticky-map-mobile a {



        color: #FFFFFF;



        text-decoration: underline;



    }



    .menu__sticky-menu--content-item-text.show-before::before {



        content: "";



        display: flex;



        background-image: url(../img/menu-arrow.svg);



        background-repeat: no-repeat;



        background-position: right;



        padding: 15px 6px 6px 15px;



        flex-wrap: nowrap;



    }



    .menu__sticky-menu--content-item-text {



        display: flex;



        flex-direction: row-reverse;



        justify-content: space-between;



        align-items: center;



        height: 30px;



        margin: 5px auto 0px 0px;



    }



    .menu__sticky-img_menu-close {



        display: flex;



        margin: 0px 0px 20px auto;



        width: 24px;



    }



    .menu__sticky-img_menu-close img {



        width: 24px;



    }



    .menu__sticky-menu--content .menu__sticky-menu--content-item:hover {



        background-color: transparent;



    }



    .menu__sticky-menu--content-item-submenu.open {



        height: 100%;



        max-height: 800px;



        transition: max-height 2s;



        line-height: 32px;



        width: max-content;



        position: relative;



        background: transparent;



        padding-left: 15px;



        flex-direction: column;



        width: 100%;



    }



    .menu__sticky-menu--content-item-submenu-colunas {



        padding: 0px;



        font-size: 15px;



    }



    .menu__sticky-menu--content-item-submenu {



        background-color: #1B156B;



        padding-left: 15px;



        line-height: 32px;



        position: relative;



        max-height: 0px;



        height: 0px;



        transition: 0.5s;



        overflow: hidden;



    }



    .no-scroll {



        overflow: hidden;



    }



    .menu__sticky-menu--content-item-submenu-colunas li:nth-child(-n+1) {



        margin: 10px 0px 0px;



    }



    .header__search {



        background-color: #fff;



    }



    .header__search--content-elements {



        display: flex;



        flex-wrap: wrap;



        justify-content: center;



        position: relative;



        gap: 20px;



    }



    .header__search--content-elements-block {



        display: none;



    }



    .header__search--content-elements-block-tel {



        display: none;



    }



    .header__search--content-elements-block-cart img {



        display: none;



    }



    .header__search--content-elements-cart-mobile img {



        display: block;



    }



    .header__search--content-elements-cart-mobile {



        display: flex;



        justify-content: end;



        position: absolute;



        top: 26px;



        right: 0px;



    }



    .header__search--content-elements-menu-mobile img {



        display: block;



    }



    .header__search--content-elements-menu-mobile {



        display: flex;



        justify-content: end;



        position: absolute;



        top: 30px;



        left: 0px;



    }



    .header__delivery--content-faixa {



        display: none;



    }



    .header__delivery--content-faixa-mobile {



        display: flex;



        flex-wrap: wrap;



        gap: 3px;



        font-size: 16px;



        padding: 8px 0px;



        text-align: left;



        color: #1B156B;



    }



    .header__delivery--content-faixa-mobile a {



        color: #1B156B;



        text-decoration: none;



        font-size: 16px;



    }



    .header__search--content-elements-logo {



        display: flex;



        justify-content: center;



        width: 100%;



    }



    .header__search--content-elements-logo img{



       display: none;



    }



    .header__search--content-elements-logo-mobile {



        display: block;



    }



    .header__search--content-elements-logo-mobile img {



        display: flex;



        width: 100%;



        justify-content: center;



    }



    .header__search--content-elements-search input{



        max-width: 600px;



        display: flex;



        justify-content: center;



    }



    .header__search--content-elements-block-tel {



        display: none;



    }



    .abrir{



        height: 100%;



    }



}